Uploaded image for project: 'James Server'
  1. James Server
  2. JAMES-3122

Upgrade log4j for java 11 compatibility

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.5.0
    • Component/s: Spring Container
    • Labels:
      None

      Description

      Referencing https://www.mail-archive.com/server-user@james.apache.org/msg16315.html

      Tommy Pham:

      I found the root cause of the logging for me... James 3.3 & 3.4 is still
      using log4j (version 1) that's EOL in 2015 [1] which is really broken with
      Java 9+ [2].  I'm using JDK 11 :(  I'll have to replace the log4j (v1)
      jar(s) with log4j2 add see if it works.
      
      
      [1] http://logging.apache.org/log4j/1.2/
      [2] https://blogs.apache.org/logging/entry/moving_on_to_log4j_2
      

      We need to upgrade Spring packaging log4j version.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              btellier Benoit Tellier
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: